Hide navigation sidebar
Hide table of contents sidebar
PTB has undergone significant changes in v20. Please read the documentation carefully and also check out the transition guide in the wiki.
Back to top
Toggle table of contents sidebar

# WebAppInfo

class telegram.WebAppInfo(url, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  This object contains information about a Web App.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `url` are equal.

  Examples

  Webapp Bot

  Available In

  - `telegram.InlineQueryResultsButton.web_app`

  - `telegram.KeyboardButton.web_app`

  - `telegram.MenuButtonWebApp.web_app`

  New in version 20.0.

  Parameters:

    url (`str`) – An HTTPS URL of a Web App to be opened with additional data as specified in Initializing Web Apps.

  url

    An HTTPS URL of a Web App to be opened with additional data as specified in Initializing Web Apps.

    Type:

      `str`